<!doctype html>
<html lang="zh">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>域名备案查询</title>
	<link rel="stylesheet" type="text/css" href="/static/css/default.css">
	<link rel="stylesheet" href="/static/css/reset.css"> <!-- CSS reset -->
	<link rel="stylesheet" href="/static/css/style.css"> <!-- Resource style -->
	<script src="/static/js/modernizr.js"></script> <!-- Modernizr -->
</head>
<body>
	<div class="container">

		<form class="cd-form floating-labels" name="form_domain" id="form_domain">
			<fieldset>
				<legend>备案查询</legend>

				<div class="error-message">
					<p>如果就一个域名，在这里查询 不加http://和www</p>
				</div>

				<div class="icon">
					<label class="cd-label" for="domain">请输入域名</label>
					<input class="user" type="text" name="domian" id="domain">
			    </div> 

				<div>
			      	<input type="submit" value="单域名查询" onclick="return getDomain();">
			    </div>
				
			</fieldset>
		</form>
		
		<form class="cd-form floating-labels" name="form_muldomain" id="form_muldomain">
			<fieldset>
				<legend>批量域名查询</legend>
	
				<div class="error-message">
					<p>多个域名查询备案，在这里查询 一行一个域名  不加http://和www</p>
				</div>
			
				<div class="icon">
					<label class="cd-label" for="muldomain">域名列表</label>
	      			<textarea class="message" name="cd-textarea" id="muldomain"></textarea>
				</div>

				<div>
			      	<input type="submit" value="批量域名查询" onclick="return getMulDomain();">
			    </div>
			</fieldset>
		</form>
	</div>
	
	<script src="/static/js/jquery-2.1.1.js"></script>
	<script src="/static/js/main.js"></script> <!-- Resource jQuery -->
	<script src="/static/layer/layer.js"></script>
	<script>

		function getDomain()
		{
			
			var layer_loading = layer.load(2);
			
			var domain = $('#domain').val();
			
			if( domain == '' )
			{
				setTimeout(function(){
					
					layer.close( layer_loading );
				
					layer.msg( '请输入域名查询' );
					
				},2000);
				
				return false;
				
			}
			
				 $.ajax({url:"/beian.php?domain="+domain,success:function(data){
					 
					 console.log( data );
					 
					 layer.close( layer_loading );
					 
					 var data = JSON.parse( data );
					 
						if( data.code < 1 )
						{
							
							console.log( data );
							
							layer.msg( data.msg ,{time: 3000} );

							
						} else if ( data.code > 1 ) {
							
							layer.alert('域名：'+data.data.domain+" 没有备案："+ data.data.sub_msg);
							
							
						} else if ( data.code == 1 ){
							
							layer.open({
										  title:'查询备案成功！',
										  shadeClose: true, 
										  content: '<p>域&nbsp;&nbsp;名:&nbsp;' + data.data.domain + '</p> <p>备案人:&nbsp;'+ data.data.name + '</p> <p>备案号:&nbsp;'+ data.data.icp + '</p> <p>性&nbsp;&nbsp;质:&nbsp;'+ data.data.type + '</p> <p>名&nbsp;&nbsp;称:&nbsp;'+ data.data.webname + '</p>'
										});
							
							
							
						} else {
							
							layer.msg( data.msg ,{time: 3000} );
							
						}
					 

				}});
			
			return false;
			
		}
	
		function getMulDomain()
		{
			
			var layer_loading = layer.load(2);
			
			var domains = $('#muldomain').val();
			
			if( domains == '' )
			{
				setTimeout(function(){
					
					layer.close( layer_loading );
				
					layer.msg( '请输入域名查询' );
					
				},2000);
				
				return false;
				
			}
			
			$.ajax({
				
			  type: 'post',
			  
			  url: '/beian.php?type=mul',
			  
			  data: 'domains='+ domains,
			  
			  success: function(data){
				  
				  
				   layer.close( layer_loading );
				  
				  var data = JSON.parse( data );
				  
				  if( data.code < 1 )
					{
						
						layer.msg( data.msg ,{time: 3000} );
						
					} else if ( data.code == 1 ){
						
						var index = layer.open({
								  type: 2,
								  async: true,
								  content: '/domains.php',
								  area: ['320px', '195px'],
								  maxmin: true
								});
								layer.full(index);

					} else {
						
						layer.msg( data.msg ,{time: 3000} );
						
					}
				  
			  }
			  
			});
						
				

			return false;
			
		}
	
	
	
	
	</script>
</body>
</html>